summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTollef Fog Heen <tfheen@err.no>2011-01-16 12:25:46 +0100
committerTollef Fog Heen <tfheen@err.no>2011-01-16 12:25:46 +0100
commit810aee92ffeee92136b79725021afea0b3c04305 (patch)
tree9b4cbb1095554bb60c1b34163c7a923140adcf9c
parentd05395d7fe46f5cb4e43ecb61e42023238d7446b (diff)
downloadsystemd-810aee92ffeee92136b79725021afea0b3c04305.tar.gz
Don't use systemctl redirect for init scripts with X-Interactive: true
-rw-r--r--debian/changelog1
-rw-r--r--debian/lsb-base-logging.sh5
2 files changed, 5 insertions, 1 deletions
diff --git a/debian/changelog b/debian/changelog
index 9ae6484557..c13b34f684 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -4,6 +4,7 @@ systemd (16-1) experimental; urgency=low
* New upstream release. Closes: #609611
* Get rid of now obsolete patches that are upstream.
* Use the built-in cryptsetup support in systemd.
+ * Don't use systemctl redirect for init scripts with X-Interactive: true
[ Michael Biebl ]
* Update package description
diff --git a/debian/lsb-base-logging.sh b/debian/lsb-base-logging.sh
index cad93c9f7d..57f455332b 100644
--- a/debian/lsb-base-logging.sh
+++ b/debian/lsb-base-logging.sh
@@ -20,7 +20,10 @@ if [ -e /sys/fs/cgroup/systemd ] ; then
if [ $PPID -ne 1 ] && [ -z "$init" ] && [ -z "$_SYSTEMCTL_SKIP_REDIRECT" ] ; then
case "$0" in
/etc/init.d/*)
- _use_systemctl=1
+ # Don't redirect if the init script has X-Interactive: true
+ if ! grep -qs "X-Interactive: true" "$0"; then
+ _use_systemctl=1
+ fi
;;
esac
else